Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.chat
Class Chatter

    java.lang.Object
      madkit.chat.Chatter

All Implemented Interfaces:
  java.io.Serializable

    public class Chatter

extends java.lang.Object
implements java.io.Serializable

Titre : Chat Agent for MadKit Description : Data struct, used to register chat's users. Copyright : Copyright (c) 2002

See Also:
  Serialized Form

Constructor Summary
`Chatter()`
`Chatter(AgentAddress ch, java.lang.String ni, java.lang.String em, java.lang.String r, java.lang.String c)`

Method Summary
`boolean` | `chatterIsInChannel(java.lang.String ch)`
`AgentAddress` | `getAgentAddress()`
`java.util.Vector` | `getChannel()`
`java.lang.String` | `getChannel(int i)`
`java.lang.String` | `getEmail()`
`java.lang.String` | `getNick()`
`java.lang.String` | `getRole()`
`void` | `setAgentAddress(AgentAddress ad)`
`void` | `setChannel(java.lang.String c)`
`void` | `setEmail(java.lang.String e)`
`void` | `setNick(java.lang.String n)`
`void` | `setRole(java.lang.String r)`
`int` | `sizeOfChannelVect()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Chatter

    public Chatter()

### Chatter

    public Chatter(AgentAddress ch,
                   java.lang.String ni,
                   java.lang.String em,
                   java.lang.String r,
                   java.lang.String c)

Method Detail

### getAgentAddress

    public AgentAddress getAgentAddress()

### getNick

    public java.lang.String getNick()

### getEmail

    public java.lang.String getEmail()

### getRole

    public java.lang.String getRole()

### getChannel

    public java.lang.String getChannel(int i)

### getChannel

    public java.util.Vector getChannel()

### setAgentAddress

    public void setAgentAddress(AgentAddress ad)

### setNick

    public void setNick(java.lang.String n)

### setEmail

    public void setEmail(java.lang.String e)

### setRole

    public void setRole(java.lang.String r)

### setChannel

    public void setChannel(java.lang.String c)

### sizeOfChannelVect

    public int sizeOfChannelVect()

### chatterIsInChannel

    public boolean chatterIsInChannel(java.lang.String ch)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.